libboost-thread-dev_1.67.0.1_amd64.deb


Advertisement

Description

libboost-thread-dev - portable C++ multi-threading (default version)

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Main amd64
Package filename libboost-thread-dev_1.67.0.1_amd64.deb
Package name libboost-thread-dev
Package version 1.67.0.1
Package release -
Package architecture amd64
Package type deb
Category libdevel
Homepage http://www.boost.org/libs/thread/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 2.98 KB
Installed size 10.00 KB
This package forms part of the Boost C++ Libraries collection.
Toolkit for writing C++ programs that execute as multiple,
asynchronous, independent, threads-of-execution. Each thread has its
own machine state including program instruction counter and
registers.
This package is a dependency package, which depends on Debian's default
Boost version (currently 1.67).

Alternatives

Package Version Architecture Repository
libboost-thread-dev_1.67.0.1_i386.deb 1.67.0.1 i386 Ubuntu Main
libboost-thread-dev - - -

Requires

Name Value
libboost-thread1.67-dev -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libboost-thread-dev_1.67.0.1_amd64.deb
Source Package boost-defaults

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libboost-thread-dev deb package:
    # sudo apt-get install libboost-thread-dev

Files

Path
/usr/share/doc/libboost-thread-dev/changelog.gz
/usr/share/doc/libboost-thread-dev/copyright

Changelog

2018-11-15 - Dimitri John Ledkov <xnox@ubuntu.com>
boost-defaults (1.67.0.1) unstable; urgency=medium
[ Ondřej Nový ]
* d/changelog: Remove trailing whitespaces
* d/control: Remove trailing whitespaces
* d/control: Add Vcs-* field
[ Dimitri John Ledkov ]
* d/create-boost-defaults-control.py: fix up Vcs and Build-Depends-Indep
fields.
* Regenerate debian/control with 1.67 as default.
2016-11-01 - Dimitri John Ledkov <xnox@ubuntu.com>
boost-defaults (1.62.0.1) unstable; urgency=medium
* Set default boost to 1.62.
2016-08-04 - Dimitri John Ledkov <xnox@ubuntu.com>
boost-defaults (1.61.0.2) unstable; urgency=high
* Import NMU into svn, thanks doko.
* Drop adding g++-5 dependencies to meta-packages, no longer needed for
the safer c++11 abi migration. Closes: #814810, #814808.
* Regenerate control using updated python script.
2016-08-03 - Matthias Klose <doko@debian.org>
boost-defaults (1.61.0.1) unstable; urgency=medium
* Non-maintainer upload.
* Default to 1.61.0.
* Bump standards version.
2016-07-22 - Steve M. Robbins <smr@debian.org>
boost-defaults (1.60.0.1) unstable; urgency=medium
* Set defaults to 1.60.
2016-06-11 - Steve M. Robbins <smr@debian.org>
boost-defaults (1.58.0.2) unstable; urgency=medium
* control: regenerate from 1.58.0+dfsg-5.1 to pick up architecture
changes in libboost-context-dev and libboost-coroutine-dev.
2015-07-01 - Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>
boost-defaults (1.58.0.1) unstable; urgency=medium
* Set default to 1.58.0 with C++'11 ABI. (Closes: #783002, #773111)
* Add dependencies to ensure C++'11 ABI capable tool chain is pulled. (Closes: #790351)
2014-05-18 - Steve M. Robbins <smr@debian.org>
boost-defaults (1.55.0.2) unstable; urgency=medium
* Upload to unstable.
- control file was regenerated in 1.55.0.1 (Closes: #736627, #720160)
2014-04-24 - Dimitri John Ledkov <xnox@ubuntu.com>
boost-defaults (1.55.0.1) experimental; urgency=medium
* Set default Boost to 1.55.0.
2013-08-17 - Steve M. Robbins <smr@debian.org>
boost-defaults (1.54.0.1) unstable; urgency=low
* Set default Boost to 1.54.0.

See Also

Package Description
libboost-thread1.67-dev_1.67.0-13_amd64.deb portable C++ multi-threading
libboost-thread1.67.0_1.67.0-13_amd64.deb portable C++ multi-threading
libboost1.67-dev_1.67.0-13_amd64.deb Boost C++ Libraries development files
libboost1.67-tools-dev_1.67.0-13_amd64.deb Boost C++ Libraries development tools
libbrlapi-dev_5.6-10ubuntu1_amd64.deb Library for communication with BRLTTY - static libs and headers
libbrlapi0.6_5.6-10ubuntu1_amd64.deb braille display access via BRLTTY - shared library
libbrotli-dev_1.0.7-2_amd64.deb library implementing brotli encoder and decoder (development files)
libbrotli1_1.0.7-2_amd64.deb library implementing brotli encoder and decoder (shared libraries)
libbsd-dev_0.9.1-2_amd64.deb utility functions from BSD systems - development files
libbsd-resource-perl_1.2911-1build3_amd64.deb BSD process resource limit and priority functions
libbsd0_0.9.1-2_amd64.deb utility functions from BSD systems - shared library
libbtf1_5.4.0+dfsg-1_amd64.deb permutation to block triangular form library for sparse matrices
libbtrfs-dev_4.20.2-1_amd64.deb Checksumming Copy on Write Filesystem utilities (development headers)
libbtrfs0_4.20.2-1_amd64.deb Checksumming Copy on Write Filesystem utilities (runtime library)
libbtrfsutil-dev_4.20.2-1_amd64.deb Checksumming Copy on Write Filesystem utilities (util development headers)
Advertisement
Advertisement